commons-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From A Leg <hale_in...@yahoo.com>
Subject Re: no swt-win32-2128 in java.library.path in LINUX
Date Tue, 19 Oct 2004 08:13:25 GMT
Thank's Dion

I will read this first.
I will then follow the track.
May be come back to you sometime..

Cheers

Andre

Dion Gillard wrote:

>Read the Maven User's Guide here:
>http://maven.apache.org/reference/user-guide.html
>
>In particular there is a section here:
>http://maven.apache.org/reference/user-guide.html#Overriding_Stated_Dependencies
>
>which tells you how to specify a path for a given artifact in the
>project.xml, e.g. in your ~/build.properties specify:
>
>maven.jar.override=on
>maven.jar.swt=<PATH TO YOUR LIBRARY HERE>
>
>Hope this helps,
>
>On Tue, 19 Oct 2004 10:39:07 +0300, A Leg <hale_india@yahoo.com> wrote:
>  
>
>>Hi
>>
>>Dion Gillard wrote:
>>
>>    
>>
>>>On Tue, 19 Oct 2004 07:26:52 +0300, A Leg <hale_india@yahoo.com> wrote:
>>>
>>>
>>>      
>>>
>>>>Hi Dion
>>>>
>>>>Thank's for answer.
>>>>Yes and linux jar are in ibiblio, and I can change hardcode for this, I
>>>>have done it and went one step ahead.
>>>>
>>>>
>>>>        
>>>>
>>>Use your own installed libraries.
>>>
>>>
>>>
>>>      
>>>
>>But I don't know how to replace in project.xml to ask maven to take in
>>my hard disk unstead of ibiblio
>>May be use maven proxy? where is a doc.
>>
>>    
>>
>>>>But the problem at the end is natives library which are not stored in
>>>>ibiblio.(cf my previous mails and Jira for details)
>>>>Is it no way to solve this in a nice way. I saw that it is a Maven
>>>>native plugins, may be using this plugins functions you could solve it.
>>>>
>>>>
>>>>        
>>>>
>>>Nope, the maven native plugin wont fix this.
>>>
>>>
>>>
>>>      
>>>
>>>>Eclipse team, manage this in a good way for eclipse compile using ant.
>>>>
>>>>Is ant better than Maven ? ;-)
>>>>It is not very demonstrative for a Maven linked project to fail at
>>>>compile :-(
>>>>
>>>>
>>>>        
>>>>
>>>Yes, and the annoying issue of binaries and jars needing to be in
>>>synch from the eclipse tool is a PITA. We could simply ask the user
>>>for their preferred version, and use that from ibiblio.
>>>
>>>
>>>
>>>      
>>>
>>I will try to make some patch for me then propose it. But I have to
>>learn how to use Maven first....
>>
>>Andre
>>
>>
>>    
>>
>
>
>  
>


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message